No More Security Updates For Firefox 4

By | June 22, 2011 | 3 Comments

No More Security Updates For Firefox 4Along with the release of Firefox 5 on Tuesday, Mozilla showed off the vulnerabilities that had been patched in that version of Firefox as well as in 2010′s Firefox 3.6, making no mention of any bugs fixed in Firefox 4, however. The reason for this is that Firefox 4 has reached its EOL, short for End of Life, with regard to vulnerability patches according to Mozilla.

This move may catch many of you by surprise, but developers at Mozilla as well as managers discussed the issue of ceasing support for Firefox 4 with security updates for many weeks.

Firefox 5 will be the security update for Firefox 4. - Christian Legnitto, the Firefox release manager

This means that Firefox 4.0.1 which shipped late April and fixed eight flaws was the only security update for Firefox 4.


About (Author Profile)


Being passionate about software, Armin joined FavBrowser.com in early 2011 and has been actively writing ever since. Having accepted the challenge, he also enjoys watching anime, indulging in good books, staying fit and healthy, and trying new things.

  • http://martin.suchan.id.email.cz/ Martin Suchan

    …so if you got Firefox 4 or older, you are using outdated, OBSOLETE and vulnerable browser :)

    • http://twitter.com/TiagoMorbusSa Tiago Sá

      You are, but Firefox 3.6 is still supported for the time being. Firefox 4.0 has officially become Firefox.next.

  • Pingback: Keine Sicherheitsupdates für Firefox 4 « Browser Fuchs